


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: JpaRepositoryConfiguration</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.repository.jpa</a> ]
</div>

<h1>Coverage Summary for Class: JpaRepositoryConfiguration (com.dema.timeregistration.repository.jpa)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">JpaRepositoryConfiguration</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 2)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 5)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.repository.jpa;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import java.util.Collections;
<i>4</i>&nbsp;import java.util.HashMap;
<i>5</i>&nbsp;import java.util.Map;
<i>6</i>&nbsp;
<b class="nc"><i>7</i>&nbsp;public class JpaRepositoryConfiguration {</b>
<i>8</i>&nbsp;    public static final Map&lt;String, String&gt; properties;
<i>9</i>&nbsp;
<i>10</i>&nbsp;    static {
<b class="nc"><i>11</i>&nbsp;        Map&lt;String, String&gt; props = new HashMap&lt;&gt;();</b>
<b class="nc"><i>12</i>&nbsp;        props.put(&quot;javax.persistence.jdbc.url&quot;, &quot;jdbc:h2:./db/main&quot;);</b>
<b class="nc"><i>13</i>&nbsp;        properties = Collections.unmodifiableMap(props);</b>
<b class="nc"><i>14</i>&nbsp;    }</b>
<i>15</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
